bitel.billing.server.script.bean.event

## Class EventProcessor

- java.lang.Object
- - java.lang.Thread
  - - bitel.billing.server.script.bean.event.EventProcessor

- All Implemented Interfaces:
    java.lang.Runnable

  Deprecated.

      @Deprecated
      public class EventProcessor
      extends java.lang.Thread

  Обработчик событий
  Author:
    shamil

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static EventProcessor` | `processor` Deprecated.

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventProcessor(DefaultServerSetup setup, boolean processMode)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvent(Event event)` Deprecated.
    `static EventProcessor` | `getProcessor()` Deprecated.
    `static void` | `initProcessor(DefaultServerSetup setup, boolean processMode)` Deprecated. Инициализация процессора событий биллинга.
    `boolean` | `processEvent(java.sql.Connection con, Event event)` Deprecated.
    `boolean` | `processEvent(java.sql.Connection con, Event event, java.lang.String mid)` Deprecated.
    `boolean` | `processEvent(Event event)` Deprecated. c версии 5.2 Использовать `processEvent( Connection con, Event event )`
    `boolean` | `processEvent(Event event, java.lang.String mid)` Deprecated. c версии 5.2 Использовать `processEvent( Connection con, Event event, String mid )`
    `void` | `run()` Deprecated.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### processor

          protected static EventProcessor processor

      Deprecated.

  - ### Constructor Detail

    - #### EventProcessor

          protected EventProcessor(DefaultServerSetup setup,
                                   boolean processMode)

      Deprecated.

  - ### Method Detail

    - #### initProcessor

          public static void initProcessor(DefaultServerSetup setup,
                                           boolean processMode)

      Deprecated.
      Инициализация процессора событий биллинга.
      Parameters:
        `setup` - SetupData
        `processMode` - boolean - запустить также обработчик

    - #### getProcessor

          public static EventProcessor getProcessor()

      Deprecated.

    - #### addEvent

          public void addEvent(Event event)

      Deprecated.

    - #### run

          public void run()

      Deprecated.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### processEvent

          @Deprecated
          public final boolean processEvent(Event event)

      Deprecated. c версии 5.2 Использовать `processEvent( Connection con, Event event )`
      Parameters:
        `event` -
      Returns:

    - #### processEvent

          public final boolean processEvent(java.sql.Connection con,
                                            Event event)

      Deprecated.

    - #### processEvent

          @Deprecated
          public final boolean processEvent(Event event,
                                                        java.lang.String mid)

      Deprecated. c версии 5.2 Использовать `processEvent( Connection con, Event event, String mid )`
      Parameters:
        `event` -
        `mid` -
      Returns:

    - #### processEvent

          public final boolean processEvent(java.sql.Connection con,
                                            Event event,
                                            java.lang.String mid)

      Deprecated.